import { defineStore } from 'pinia'

export const useUserinfoStore = defineStore('UserinfoStore', {
  state: () => {
    return {
      userInfo: null,
    }
  },
  getters: {
    isAdmin(): boolean {
      return this.userInfo && this.userInfo.role === 'admin'
    },
    isGamemaster(): boolean {
      return this.userInfo && ( this.userInfo.role === 'gamemaster' || this.userInfo.role === 'admin' )
    },
    gameId(): string | null {
      return this.userInfo?.game
    },
  },
  actions: {
    setUserInfo(userInfo: unknown): void {
     this.userInfo = userInfo 
    },
  },
})
